summaryrefslogtreecommitdiff
path: root/ctdb/packaging
diff options
context:
space:
mode:
authorAmitay Isaacs <amitay@gmail.com>2014-06-10 16:30:57 +1000
committerMichael Adam <obnox@samba.org>2014-06-20 23:38:10 +0200
commitc3dc1f1b984ed574e81a768423c1714db5f66955 (patch)
treeb53c5c98ea4df785ebb52b1644dc8fb3f2e6d79f /ctdb/packaging
parenta39a5f4c06e3749c745c87c7d735baf0b8598836 (diff)
downloadsamba-c3dc1f1b984ed574e81a768423c1714db5f66955.tar.gz
ctdb-packaging: Remove unused files
Signed-off-by: Amitay Isaacs <amitay@gmail.com> Reviewed-by: Michael Adam <obnox@samba.org>
Diffstat (limited to 'ctdb/packaging')
-rwxr-xr-xctdb/packaging/RPM/makerpms.sh99
-rwxr-xr-xctdb/packaging/maketarball.sh111
2 files changed, 0 insertions, 210 deletions
diff --git a/ctdb/packaging/RPM/makerpms.sh b/ctdb/packaging/RPM/makerpms.sh
deleted file mode 100755
index 9b4f139f7c4..00000000000
--- a/ctdb/packaging/RPM/makerpms.sh
+++ /dev/null
@@ -1,99 +0,0 @@
-#!/bin/sh
-#
-# makerpms.sh - build RPM packages from the git sources
-#
-# Copyright (C) John H Terpstra 1998-2002
-# Copyright (C) Gerald (Jerry) Carter 2003
-# Copyright (C) Jim McDonough 2007
-# Copyright (C) Andrew Tridgell 2007
-# Copyright (C) Michael Adam 2008-2009
-#
-# This program is free software; you can redistribute it and/or modify it
-# under the terms of the GNU General Public License as published by the Free
-# Software Foundation; either version 3 of the License, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
-# more details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, see <http://www.gnu.org/licenses/>.
-#
-
-#
-# The following allows environment variables to override the target directories
-# the alternative is to have a file in your home directory calles .rpmmacros
-# containing the following:
-# %_topdir /home/mylogin/redhat
-#
-# Note: Under this directory rpm expects to find the same directories that are under the
-# /usr/src/redhat directory
-#
-
-EXTRA_OPTIONS="$*"
-
-DIRNAME=$(dirname $0)
-TOPDIR=${DIRNAME}/../..
-
-SPECDIR=`rpm --eval %_specdir`
-SRCDIR=`rpm --eval %_sourcedir`
-
-SPECFILE="ctdb.spec"
-SPECFILE_IN="ctdb.spec.in"
-RPMBUILD="rpmbuild"
-
-mkdir -p `rpm --eval %_specdir`
-mkdir -p `rpm --eval %_sourcedir`
-mkdir -p `rpm --eval %_builddir`
-mkdir -p `rpm --eval %_srcrpmdir`
-mkdir -p `rpm --eval %_rpmdir`/noarch
-mkdir -p `rpm --eval %_rpmdir`/i386
-mkdir -p `rpm --eval %_rpmdir`/x86_64
-
-set -- $(${TOPDIR}/packaging/mkversion.sh ${TOPDIR}/include/ctdb_version.h)
-VERSION=$1
-RELEASE=$2
-if [ -z "$VERSION" -o -z "$RELEASE" ]; then
- exit 1
-fi
-
-sed -e "s/@VERSION@/$VERSION/g" \
- -e "s/@RELEASE@/$RELEASE/g" \
- < ${DIRNAME}/${SPECFILE_IN} \
- > ${DIRNAME}/${SPECFILE}
-
-${TOPDIR}/packaging/maketarball.sh ${SRCDIR}
-if [ $? -ne 0 ]; then
- echo "Build failed!"
- exit 1
-fi
-
-# At this point the SPECDIR and SRCDIR vaiables must have a value!
-
-##
-## copy additional source files
-##
-cp -p ${DIRNAME}/${SPECFILE} ${SPECDIR}
-
-##
-## Build
-##
-echo "$(basename $0): Getting Ready to build release package"
-
-case ${EXTRA_OPTIONS} in
- *-b*)
- BUILD_TARGET=""
- ;;
- *)
- BUILD_TARGET="-ba"
- ;;
-esac
-
-
-${RPMBUILD} ${BUILD_TARGET} --clean --rmsource ${EXTRA_OPTIONS} ${SPECDIR}/${SPECFILE} || exit 1
-
-echo "$(basename $0): Done."
-
-exit 0
diff --git a/ctdb/packaging/maketarball.sh b/ctdb/packaging/maketarball.sh
deleted file mode 100755
index c27e2ec63c8..00000000000
--- a/ctdb/packaging/maketarball.sh
+++ /dev/null
@@ -1,111 +0,0 @@
-#!/bin/sh
-#
-# maketarball.sh - create a tarball from the git branch HEAD
-#
-# Copyright (C) Michael Adam 2009
-#
-# This program is free software; you can redistribute it and/or modify it
-# under the terms of the GNU General Public License as published by the Free
-# Software Foundation; either version 3 of the License, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
-# more details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, see <http://www.gnu.org/licenses/>.
-#
-
-#
-# Create CTDB source tarball of the current git branch HEAD.
-# The version is calculated from git tag in mkversion.sh.
-# Optional argument is the directory to which tarball is copied.
-#
-
-TARGETDIR="${1:-${PWD}}" # Default target directory is .
-
-DIRNAME=$(dirname "$0")
-cd -P "${DIRNAME}/.."
-TOPDIR="$PWD"
-
-tmpd=$(mktemp -d) || {
- echo "Failed to create temporary directory"
- exit 1
-}
-
-TAR_PREFIX_TMP="ctdb-tmp"
-SPECFILE="${tmpd}/${TAR_PREFIX_TMP}/packaging/RPM/ctdb.spec"
-SPECFILE_IN="${SPECFILE}.in"
-VERSION_H="${tmpd}/${TAR_PREFIX_TMP}/include/ctdb_version.h"
-
-if echo | gzip -c --rsyncable - > /dev/null 2>&1 ; then
- GZIP="gzip -9 --rsyncable"
-else
- GZIP="gzip -9"
-fi
-
-echo "Creating tarball ... "
-git archive --prefix="${TAR_PREFIX_TMP}/" HEAD | ( cd "$tmpd" ; tar xf - )
-if [ $? -ne 0 ]; then
- echo "Error calling git archive."
- exit 1
-fi
-
-set -- $("${TOPDIR}/packaging/mkversion.sh" "$VERSION_H")
-VERSION=$1
-RELEASE=$2
-if [ -z "$VERSION" -o -z "$RELEASE" ]; then
- exit 1
-fi
-
-sed -e "s/@VERSION@/${VERSION}/g" \
- -e "s/@RELEASE@/$RELEASE/g" \
- < ${SPECFILE_IN} \
- > ${SPECFILE}
-
-TAR_PREFIX="ctdb-${VERSION}"
-TAR_BASE="ctdb-${VERSION}"
-
-cd "${tmpd}/${TAR_PREFIX_TMP}"
-./autogen.sh || {
- echo "Error calling autogen.sh."
- exit 1
-}
-
-make -C doc || {
- echo "Error building docs."
- exit 1
-}
-
-if [ "$DEBIAN_MODE" = "yes" ] ; then
- TAR_PREFIX="ctdb-${VERSION}.orig"
- TAR_BASE="ctdb_${VERSION}.orig"
- rm -rf "${tmpd}/${TAR_PREFIX_TMP}/lib/popt"
-fi
-
-TAR_BALL="${TAR_BASE}.tar"
-TAR_GZ_BALL="${TAR_BALL}.gz"
-
-mv "${tmpd}/${TAR_PREFIX_TMP}" "${tmpd}/${TAR_PREFIX}"
-
-cd "$tmpd"
-tar cf "$TAR_BALL" "$TAR_PREFIX" || {
- echo "Creation of tarball failed."
- exit 1
-}
-
-$GZIP "$TAR_BALL" || {
- echo "Zipping tarball failed."
- exit 1
-}
-
-rm -rf "$TAR_PREFIX"
-
-mv "${tmpd}/${TAR_GZ_BALL}" "${TARGETDIR}/"
-
-rmdir "$tmpd"
-
-echo "Done."
-exit 0